commit: 28480792f390d1ce411e7250c7adc447b34cc7c5
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 17 20:59:07 2017 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Aug 17 20:59:07 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28480792
app-vim/bufexplorer: add live ebuild
app-vim/bufexplorer/bufexplorer-9999.ebuild | 25 +++++++++++++++++++++++++
1 file changed, 25 insertions(+)
diff --git a/app-vim/bufexplorer/bufexplorer-9999.ebuild
b/app-vim/bufexplorer/bufexplorer-9999.ebuild
new file mode 100644
index 00000000000..cd3d232d76e
--- /dev/null
+++ b/app-vim/bufexplorer/bufexplorer-9999.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit vim-plugin
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/jlanzarotta/bufexplorer.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/jlanzarotta/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="vim plugin: easily browse vim buffers"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=42
https://github.com/jlanzarotta/bufexplorer"
+LICENSE="BSD"
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+src_prepare() {
+ default
+ rm LICENSE README.md || die
+}